1. Docs
  2. API Reference
  3. Get identity detail with role assignments

Get identity detail with role assignments

GET/api/v1/identities/{id}/detail

Authentication

  • Bearer Token Authorization

    JWT access token

  • API Key X-API-Key

    API key for management-tier access

Path Parameters

Name Required Type Description
idRequiredstring

Code samples

cURLJavaScriptPythonGo
curl -X GET "https://api.canopy.dev/api/v1/identities/value/detail" \
  -H "X-API-Key: $CANOPY_API_KEY"

Responses

200 Identity detail with roles and management flags returned
{
  "id": "string",
  "email": "string",
  "first_name": "string",
  "last_name": "string",
  "name": "string",
  "avatar_url": "string",
  "external_id": "string",
  "metadata": {},
  "is_active": false,
  "roles": [
    {
      "assignment_id": "string",
      "id": "string",
      "name": "string",
      "node_id": "string",
      "node_name": "string"
    }
  ],
  "can_manage": false,
  "created_at": "2026-04-20T12:00:00.000Z",
  "updated_at": "2026-04-20T12:00:00.000Z"
}

application/json

  • idstring*
  • emailstring*
  • first_namestring*
  • last_namestring*
  • namestring*
  • avatar_urlstring
  • external_idstring
  • metadataany object
  • is_activeboolean*
  • rolesIdentityRoleDto[]*
  • can_manageboolean*
  • created_atstring (date-time)*
  • updated_atstring (date-time)*
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
404 Identity not found

Returned object

On this page

Related endpoints

GETList identities in Application
POSTCreate an identity
GETList identities with their role assignments
GETGet Application identities summary
POSTBulk-create identities
GETGet an identity
PATCHUpdate an identity
DELETERemove an identity
POSTActivate an identity
POSTDeactivate an identity
GETGet identity's role assignments
GETGet identity's effective permissions